summaryrefslogtreecommitdiff
path: root/pcre-config.in
diff options
context:
space:
mode:
authorIvo De Decker <ivodd@debian.org>2014-12-06 18:58:19 +0000
committerIvo De Decker <ivodd@debian.org>2014-12-06 18:58:19 +0000
commitdd986e8b547c0dde924c4b566ad0894ad4f1beb9 (patch)
treea87ee49df2a732f2be8d1b3c9e46a341e6fb8698 /pcre-config.in
pcre3 (2:8.35-3.3) unstable; urgency=medium
* Non-maintainer upload. * Upstream patch for heap buffer overflow, CVE-2014-8964, taken from 1:8.36-1 (Closes: #770478) Thanks to Salvatore Bonaccorso for the reminder. # imported from the archive
Diffstat (limited to 'pcre-config.in')
-rw-r--r--pcre-config.in133
1 files changed, 133 insertions, 0 deletions
diff --git a/pcre-config.in b/pcre-config.in
new file mode 100644
index 0000000..ac06a33
--- /dev/null
+++ b/pcre-config.in
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+
+cflags="[--cflags]"
+
+if test @enable_cpp@ = yes ; then
+ libs="[--libs-cpp]"
+else
+ libs=
+fi
+
+if test @enable_pcre16@ = yes ; then
+ libs="[--libs16] $libs"
+fi
+
+if test @enable_pcre32@ = yes ; then
+ libs="[--libs32] $libs"
+fi
+
+if test @enable_pcre8@ = yes ; then
+ libs="[--libs] [--libs-posix] $libs"
+ cflags="$cflags [--cflags-posix]"
+fi
+
+usage="Usage: pcre-config [--prefix] [--exec-prefix] [--version] $libs $cflags"
+
+if test $# -eq 0; then
+ echo "${usage}" 1>&2
+ exit 1
+fi
+
+libR=
+case `uname -s` in
+ *SunOS*)
+ libR=" -R@libdir@"
+ ;;
+ *BSD*)
+ libR=" -Wl,-R@libdir@"
+ ;;
+esac
+
+libS=
+if test @libdir@ != /usr/lib ; then
+ libS=-L@libdir@
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+ --version)
+ echo @PACKAGE_VERSION@
+ ;;
+ --cflags)
+ if test @includedir@ != /usr/include ; then
+ includes=-I@includedir@
+ fi
+ echo $includes @PCRE_STATIC_CFLAG@
+ ;;
+ --cflags-posix)
+ if test @enable_pcre8@ = yes ; then
+ if test @includedir@ != /usr/include ; then
+ includes=-I@includedir@
+ fi
+ echo $includes @PCRE_STATIC_CFLAG@
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ --libs-posix)
+ if test @enable_pcre8@ = yes ; then
+ echo $libS$libR -lpcreposix -lpcre
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ --libs)
+ if test @enable_pcre8@ = yes ; then
+ echo $libS$libR -lpcre
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ --libs16)
+ if test @enable_pcre16@ = yes ; then
+ echo $libS$libR -lpcre16
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ --libs32)
+ if test @enable_pcre32@ = yes ; then
+ echo $libS$libR -lpcre32
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ --libs-cpp)
+ if test @enable_cpp@ = yes ; then
+ echo $libS$libR -lpcrecpp -lpcre
+ else
+ echo "${usage}" 1>&2
+ fi
+ ;;
+ *)
+ echo "${usage}" 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done